chenxinlong translating
Who needs a GUI? How to live in a Linux terminal
=================================================

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-1-100669790-orig.jpg)

### The best Linux shell apps for handling common functions

Ever consider the idea of living entirely in a Linux terminal? No graphical desktop. No modern GUI software. Just text—and nothing but text—inside a Linux shell. It may not be easy, but it’s absolutely doable. [I recently tried living completely in a Linux shell for 30 days][1]. What follows are my favorite shell applications for handling some of the most common bits of computer functionality (web browsing, word processing, etc.). With a few obvious holes. Because being text-only is hard.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-2-100669791-orig.png)

### Emailing within a Linux terminal

For emailing in a terminal, we are spoiled for choice. Many people recommend mutt and notmuch. Both of those are powerful and excellent, but I prefer alpine. Why? Not only does it work well, but it’s also much more of a familiar interface if you are used to GUI email software like Thunderbird.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-3-100669837-orig.jpg)

### Web browsing within a Linux terminal

I have one word for you: [w3m][5]. Well, I suppose that’s not even really a word. But w3m is definitely my terminal web browser of choice. It tenders things fairly well and is powerful enough to even let you post to sites such as Google Plus (albeit, not in a terribly fun way). Lynx may be the de facto text-based web browser, but w3m is my favorite.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-4-100669838-orig.jpg)

### Text editing within a Linux terminal

For editing simple text files, I have one application that I straight-up love. No, not emacs. Also, definitely not vim. For editing of a text file or jotting down some notes, I like nano. Yes, nano. It’s simple, easy to learn and pleasant to use. Are there pieces of software with more features? Sure. But nano is just delightful.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-5-100669839-orig.jpg)

### Word processing within a Linux terminal

In a shell—with nothing but text—there really isn’t a huge difference between a “text editor” and a “word processor.” But being as I do a lot of writing, having a piece of software built specifically for long-form writing is a definite must. My favorite is wordgrinder. It has just enough tools to make me happy, a nice menu-driven interface (with hot-keys), and it supports multiple file types, including OpenDocument, HTML and a bunch of other ones.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-6-100669795-orig.jpg)

### Music playing within a Linux terminal

When it comes to playing music (mp3, Ogg, etc.) from a shell, one piece of software is king: [cmus][7]. It supports every conceivable file format. It’s super easy to use and incredibly fast and light on system resource usage. So clean. So streamlined. This is what a good music player should be like.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-7-100669796-orig.jpg)

### Instant messaging within a Linux terminal

When I realized how will I could instant message from the terminal, my head exploded. You know Pidgin, the multi-protocol IM client? Well, it has a version for the terminal, called “[finch][8],” that allows you to connect to multiple networks and chat with multiple people at once. The interface is even similar to Pidgin. Just amazing. Use Google Hangouts? Try [hangups][9]. It has a nice tabbed interface and works amazingly well. Seriously. Other than needing perhaps some emoji and inline pictures, instant messaging from the shell is a great experience.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-8-100669797-orig.jpg)

### Tweeting within a Linux terminal

No joke. Twitter, in your terminal, thanks to [rainbowstream][10]. I hit a few bugs here and there, but overall, it works rather well. Not as well as the website itself—and not as well as the official mobile clients—but, come on, this is Twitter in a shell. Even if it has one or two rough edges, this is pretty stinkin’ cool.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-9-100669798-orig.jpg)

### Reddit-ing within a Linux terminal

Spending time on Reddit from the comforts of the command line feels right somehow. And with rtv, it’s a rather pleasant experience. Reading. Commenting. Voting. It all works. The experience isn’t actually all that different than the website itself.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-10-100669799-orig.jpg)

### Process managing within a Linux terminal

Use [htop][12]. It’s like top—only better and prettier. Sometimes I just leave htop up and running all the time. Just because. In that regard, it’s like a music visualizer—only for RAM and CPU usage.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-11-100669800-orig.png)

### File managing within a Linux terminal

Just because you’re in a text-based shell doesn’t mean you don’t enjoy the finer things in life. Like having a nice file browser and manager. In that regard, [Midnight Commander][13] is a pretty doggone great one.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-12-100669801-orig.png)

### Terminal managing within a Linux terminal

If you spend much time in the shell, you’re going to need a terminal multiplexer. Basically it’s a piece of software that lets you split up your terminal session into a customizable grid, allowing you to use and see multiple terminal applications at the same time. It’s a tiled window manager for your shell. My favorite is [tmux][14]. But [GNU Screen][15] is also quite nice. It might take a few minutes to learn how to use it, but once you do, you’ll be glad you did.

![](http://core0.staticworld.net/images/article/2016/07/linux-terminal-13-100669802-orig.jpg)

### Presentation-ing within a Linux terminal

LibreOffice, Google Slides or, gasp, PowerPoint. I spend a lot of time in presentation software. The fact that one exists for the shell pleases me greatly. It’s called, appropriately, “[text presentation program][16].” There are no images (obviously), just a simple program for displaying slides put together in a simple markup language. It may not let you embed pictures of cats, but you’ll earn some serious nerd-cred for doing an entire presentation from the terminal.

--------------------------------------------------------------------------------

via: http://www.networkworld.com/article/3091139/linux/who-needs-a-gui-how-to-live-in-a-linux-terminal.html#slide1

作者：[Bryan Lunduke][a]
译者：[译者ID](https://github.com/chenxinlong)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.networkworld.com/author/Bryan-Lunduke/
[1]: http://www.networkworld.com/article/3083268/linux/30-days-in-a-terminal-day-0-the-adventure-begins.html
[2]: https://en.wikipedia.org/wiki/Mutt_(email_client)
[3]: https://notmuchmail.org/
[4]: https://en.wikipedia.org/wiki/Alpine_(email_client)
[5]: https://en.wikipedia.org/wiki/W3m
[6]: http://cowlark.com/wordgrinder/index.html
[7]: https://en.wikipedia.org/wiki/Cmus
[8]: https://developer.pidgin.im/wiki/Using%20Finch
[9]: https://github.com/tdryer/hangups
[10]: http://www.rainbowstream.org/
[11]: https://github.com/michael-lazar/rtv
[12]: http://hisham.hm/htop/
[13]: https://en.wikipedia.org/wiki/Midnight_Commander
[14]: https://tmux.github.io/
[15]: https://en.wikipedia.org/wiki/GNU_Screen
[16]: http://www.ngolde.de/tpp.html
