Training vs. hiring to meet the IT needs of today and tomorrow
培训还是雇人，来满足当今和未来的 IT 需求
================================================================

![](https://enterprisersproject.com/sites/default/files/styles/620x350/public/images/cio_talent_4.png?itok=QLhyS_Xf)

在数字化时代，由于企业需要不断跟上工具和技术更新换代的步伐，对 IT 技能的需求也稳定增长。对于企业来说，寻找和雇佣那些拥有令人垂涎能力的创新人才，是非常不容易的。同时，培训内部员工来使他们接受新的技能和挑战，需要一定的时间。而且，这也往往满足不了需求。

[Sandy Hill][1] 对多种 IT 学科涉及到的多项技术都很熟悉。她作为 [Pegasystems][2] 项目的 IT 主管，负责的 IT 团队涉及的领域从应用的部署到数据中心的运营。更重要的是，Pegasystems 开发应用来帮助销售，市场，服务以及运行团队简化操作，联系客户。这意味着她需要掌握和利用 IT 内部资源的最佳方法，面对公司客户遇到的 IT 挑战。

![](https://enterprisersproject.com/sites/default/files/CIO_Q%20and%20A_0.png)

**企业家项目（TEP）：这些年你是如何调整培训重心的？**

**Hill**：在过去的几十年中，我们经历了爆炸式的发展，所以现在我们要实现更多的全球化进程。随之而来的培训方面，将确保每个人都在同一起跑线上。

我们大多的关注点已经转移到培养员工使用新的产品和工具上，这些新产品和工具的实现，能够推动创新，并提高工作效率。例如，我们实现了资产管理系统; 以前我们是没有的。因此我们需要为全部员工做培训，而不是雇佣那些已经知道该产品的人。当我们正在发展的时候，我们也试图保持紧张的预算和稳定的职员总数。所以，我们更愿意在内部培训而不是雇佣新人。

**TEP：说说培训方法吧，你是怎样帮助你的员工发展他们的技能？**

**Hill**：我要求每一位员工制定一个技术性的和非技术性的训练目标。这作为他们绩效评估的一部分。他们的技术性目标需要与他们的工作职能相符，非技术行目标则着重发展一项软技能，或是学一些专业领域之外的东西。我每年对职员进行一次评估，看看差距和不足之处，以使团队保持全面发展。

**TEP：你的训练计划能够在多大程度上减轻招聘和保留职员的问题？**

**Hill**：使我们的职员对学习新的技术保持兴奋，让他们的技能更好。让职员知道我们重视他们并且让他们在擅长的领域成长和发展，以此激励他们。

**TEP：你有没有发现哪种培训是最有效的？**

**HILL**：我们使用几种不同的我们发现是有效的培训方法。当有新的或特殊的项目时，我们尝试加入一套由甲方（不会翻：乙方，卖方？）领导的培训课程，作为项目的一部分。要是这个方法不能实现，我们将进行异地培训。我们也会购买一些在线的培训课程。我也鼓励职员每年参加至少一次会议，以了解行业的动向。

**TEP：你有没有发现有哪些技能，雇佣新人要比培训现有员工要好？**

**Hill**：这和项目有关。有一个最近的计划，试图实现 OpenStack，而我们根本没有这方面的专家。所以我们与一家从事这一领域的咨询公司合作。我们利用他们的专业知识帮助我们运行项目，并现场培训我们的内部团队成员。让内部员工学习他们需要的技能，同时还要完成他们们天的工作，这是一项艰巨的任务。

顾问帮助我们确定我们需要的对某一技术熟练的的员工人数。这使我们能够对员工进行评估，看看是否存在缺口。如果存在人员上的缺口，我们还需要额外的培训或是员工招聘。我们也确实雇佣了一些承包商。另一个选择是让一些全职员工进行为期六至八周的培训，但我们的项目模式不容许这么做。

**TEP：想一下你最近雇佣的员工，他们的那些技能特别能够吸引到你？**

**Hill**：在最近的招聘中，我侧重于软技能。除了扎实的技术能力外，他们需要能够在团队中进行有效的沟通和工作，要有说服他人，谈判和解决冲突的能力。

IT 人一向独来独往。他们一般不是社交最多的人。现在，IT 越来越整合到组织中，它为其他业务部门提供有用的更新报告和状态报告的能力是至关重要的，这也表明 IT 是积极的存在，并将取得成功。

--------------------------------------------------------------------------------

via: https://enterprisersproject.com/article/2016/6/training-vs-hiring-meet-it-needs-today-and-tomorrow

作者：[Paul Desmond][a]
译者：[Cathon](https://github.com/Cathon)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://enterprisersproject.com/user/paul-desmond
[1]: https://enterprisersproject.com/user/sandy-hill
[2]: https://www.pega.com/pega-can?&utm_source=google&utm_medium=cpc&utm_campaign=900.US.Evaluate&utm_term=pegasystems&gloc=9009726&utm_content=smAXuLA4U|pcrid|102822102849|pkw|pegasystems|pmt|e|pdv|c|




