Linux 的实用性 VS 行动主义
==================================

>我们使用 Linux 是因为它比其他操作系统更实用，还是其他更高级的理由呢？

其中一件关于运行 Linux 的最伟大的事情之一就是它所提供的自由。凡出现在 Linux 社区之间的划分在于我们如何珍惜这种自由。

一些人认为，通过使用 Linux 所享有的自由是从供应商锁定或高软件成本的自由。大多数人会称这个是一个实际的考虑。而其他用户会告诉你，他们享受的是自由软件的自由。那就意味着拥抱支持 [开源软件运动][1] 的 Linux 发行版，完全避免专有软件和所有相关的东西。


在这篇文章中，我将带你比较这两种自由的区别，以及他们如何影响 Linux 的使用。

### 专有的问题

大多数的用户有一个共同的一点是他们的喜欢避免专有软件。对于像我这样的实际的爱好者来说，这是一个我怎么样花我的钱，来控制我的软件和避免供应商锁定的问题。当然，我不是一个程序员……所以我调整我的安装软件是十分温柔的。但也有一些个别情况，一个应用程序的小调整可以意味着它的工作和不工作的区别。

还有就是选择避开专有软件的Linux爱好者，因为他们觉得这是不道德的使用。通常这里主要的问题是使用专有软件会带走或者干脆阻碍你的个人自由。像这些用户更喜欢使用的Linux发行版和软件来支持 [自由软件理念][2] 。虽然它类似于开源的概念并经常直接与之混淆，[这里有些差异][3] 。

因此，这里有个问题：像我这样的用户往往以其便利掩盖了其纯软件自由的理想化。不要误会我的意思，像我这样的人更喜欢使用符合自由软件背后的理想软件，但我们也更有可能做出让步，以完成特定的任务。

这两种类型的 Linux 爱好者都喜欢使用非专有的解决方案。但是，自由软件倡导者根本不会去使用所有权，在那里作为实际的用户将依靠具有最佳性能的最佳工具。这意味着，在有些情况下的实际用户愿意来运行他们的非专有操作系统上的专有应用或代码实例。

最终，这两种类型的用户都喜欢使用 Linux 所提供的。但是，我们这样做的原因往往会有所不同。有人认为那些不支持自由软件的人是无知的。我不同意，我认为它是实用方便性的问题。那些喜欢实用方便性的用户根本不关心他们软件的政治问题。

### 实用方便性

当你问起绝大多数的人为什么使用他们现在的操作系统，回答通常都集中于实用方便性。这种关于方便性的例子可能包括“它是我一直使用的东西”、“它运行的软件是我需要的”。 其他人可能进一步解释说，并没有那么多软件影响他们对操作系统的偏好和熟悉程度，最后，有“利基任务”或硬件兼容性问题也提供了很好的理由让我们用这个操作系统而不是另一个。

这可能会让你们中许多人很惊讶，但我今天运行的桌面 Linux 最大的一个原因是由于熟悉。即使我为别人提供对 Windows 和 OS X 的支持，但实际上我是相当沮丧地使用这些操作系统，因为它们根本就不是我记忆中的那样习惯用法。我相信这可以让我对那些 Linux 新手表示同情，因为我太懂得踏入陌生的领域是怎样的让人倒胃口了。我的观点是这样的 —— 熟悉具有价值。而且熟悉同样使得实用方便性变得有力量。

现在，如果我们把它和一个自由软件倡导者的需求来比较，你会发现那些人都愿意学习新的东西，甚至更具挑战性，去学习那些若转化成为他们所避免使用的非自由软件。这就是我经常赞美的那种用户，我认为他们愿意采取最少路径来遵循坚持他们的原则是十分值得赞赏的。

### 自由的价值

我不羡慕那些自由软件倡导者的一个地方，就是根据 [自由软件基金会][4] 所规定的标准需要确保他们可以一直使用 Linux 发行版和硬件，以便于尊重他们的数字自由。这意味着 Linux 内核需要摆脱专有的斑点的驱动支持和不需要任何专有代码的硬件。当然不是不可能的，但它很接近。

一个自由软件倡导者可以达到的最好的情况是硬件是“自由兼容”的。有些供应商，可以满足这一需求，但他们大多是提供依赖于 Linux 兼容专有固件的硬件。伟大的实际用户对自由软件倡导者来说是个搅局者。

那么这一切意味着的是，倡导者必须比实际的 Linux 爱好者，更加警惕。这本身并不一定是消极的，但如果是打算用自由软件的方法来计算的话那就值得考虑了。通过对比，实用的用户可以专心地使用与    Linux 兼容的任何软件或硬件。我不知道你是怎么想的，但在我眼中是更轻松一点的。

### 定义自由软件 

这一部分可能会让一部分人失望，因为我不相信自由软件只有一种。从我的立场，我认为真正的自由是能够在一个给定的情况里沉浸在所有可用的数据里，然后用最适合这个人的生活方式的途径来达成协议。

所以对我来说，我更喜欢使用的 Linux 桌面，满足了我所有的需求，这包括使用非专有软件和专有软件。尽管这是公平的建议，专有的软件限制了我的个人自由，但我必须反驳这一点，因为我有选择用不用它，即选择的自由。

或许，这也就是为什么我发现自己更确定开源软件的理想，而不是坚持自由软件运动背后的理念的原因。我更愿意和那些不会花时间告诉我，我是怎么用错了的那些人群在一起。我的经验是，那些开源的人群仅仅是感兴趣去分享自由软件的优点，而不是因为自由软件的理想主义的激情。

我觉的自由软件的概念实在是太棒了。对那些需要活跃在软件政治，并指出使用专有软件的人的缺陷的人来说，那么我认为 Linux ( [GNU/Linux][5] ) 行动是一个不错的选择。在我们的介绍里，像我一样的实际用户更倾向于从自由软件的支持者改变方向。

当我介绍 Linux 的桌面时，我富有激情地分享它的实际优点。而且我成功地让他们享受这一经历，我允许用户自己去发现自由软件的观点。但我发现大多数人使用的 Linux 不是因为他们想拥抱自由软件，而是因为他们只是想要最好的用户体验。也许只有我是这样的，很难说。

嘿！说你呢？你是一个自由软件倡导者吗？也许你是个使用桌面 Linux 发行专有软件/代码的粉丝？那么评论和分享您的 Linux 桌面体验吧！


--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/linux-practicality-vs-activism.html

作者：[Matt Hartley][a]
译者：[joVoV](https://github.com/joVoV)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.datamation.com/author/Matt-Hartley-3080.html
[1]: https://en.wikipedia.org/wiki/Free_software_movement
[2]: https://www.gnu.org/philosophy/free-sw.en.html
[3]: https://www.gnu.org/philosophy/free-software-for-freedom.en.html
[4]: https://en.wikipedia.org/wiki/Free_Software_Foundation
[5]: https://en.wikipedia.org/wiki/GNU/Linux_naming_controversy